/** * @Title: test.java 
 * @Package com.connor.signoff.soa.handler 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author admin * @date 2024年7月12日 
 * @version V1.0 
 */
package com.connor.signoff.soa.handler;

import java.io.InputStream;
import java.util.Properties;
import java.nio.charset.StandardCharsets;
import java.net.URLDecoder;

/** 
 * @ClassName: test 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author admin 
 * @date 2024年7月12日 
 *  
 */
public class test {
    public static void main(String[] args) {
    	 // 从类路径中读取配置文件
        InputStream resourceAsStream = test.class.getResourceAsStream("signoff.properties");

        // 读取配置文件内容
        Properties properties = new Properties();
        try {
            properties.load(resourceAsStream);
        } catch (Exception e) {
            System.out.println("配置读取失败");
            e.printStackTrace();
            return;
        }

        // 获取所有配置项
        for (String key : properties.stringPropertyNames()) {
            String value = properties.getProperty(key);
            
            // 解码键中的转义字符和Unicode编码
            String decodedKey = URLDecoder.decode(key.replace("\\:", ":"));
            String decodedValue = URLDecoder.decode(value);
            
            System.out.println("解码后键值: " + decodedKey + "=" + decodedValue);
        }
    }

}
